All changes

Technical task

  • [PAM-481] Update dependencies to the latest version of hapi-fhir
  • [PAM-482] [PDQm/PDC] Update the consumer to support the latest version of the PDQm profile
  • [PAM-483] [PDQm/PDS] Update the supplier to support the latest version of the PDQm profile
  • [PAM-484] [PIXm/Consumer] Update the consumer to support the latest version of the PIXm profile
  • [PAM-485] [PIXm/Manager] Update the manager to support the latest version of the PIXm profile

Bug

  • [PAM-479] Database issue when deploying the tool with postgres 9.6.5
  • [PAM-518] Message identifiers are not extracted when two servers are running using the same handler

Story

  • [PAM-474] Allow the user to create pre-defined queries for PIX* query
  • [PAM-514] Integrate the new Fhir Validator

Improvement

  • [PAM-471] We need the FHIR simulators to support DSTU3
  • [PAM-486] Update GraphWalker to its latest version

Dependencies

All dependencies are up-to-date

Remarks

PDQm and PIXm actors are now compliant with the latest version of the IHE ITI supplements (support of FHIR DSTU3).